var PREF_UPDATE_FREQ = "update-frequency";
var PREF_FOLLOWED_ONLY = "followed-only";

var PREF_LEAGUES = {
    MLB: "mlb-enabled",
    NBA: "nba-enabled",
    NFL: "nfl-enabled",
    NHL: "nhl-enabled",
    WNBA: "wnba-enabled"
};

var SPORTS = {
  MLB: [
    { id: 29, name: "Arizona Diamondbacks", pref: "mlb-ari" },
    { id: 15, name: "Atlanta Braves", pref: "mlb-atl" },
    { id: 1, name: "Baltimore Orioles", pref: "mlb-bal" },
    { id: 2, name: "Boston Red Sox", pref: "mlb-bos" },
    { id: 16, name: "Chicago Cubs", pref: "mlb-chc" },
    { id: 4, name: "Chicago White Sox", pref: "mlb-chw" },
    { id: 17, name: "Cincinnati Reds", pref: "mlb-cin" },
    { id: 5, name: "Cleveland Indians", pref: "mlb-cle" },
    { id: 27, name: "Colorado Rockies", pref: "mlb-col" },
    { id: 6, name: "Detroit Tigers", pref: "mlb-det" },
    { id: 18, name: "Houston Astros", pref: "mlb-hou" },
    { id: 7, name: "Kansas City Royals", pref: "mlb-kc" },
    { id: 3, name: "Los Angeles Angels", pref: "mlb-laa" },
    { id: 19, name: "Los Angeles Dodgers", pref: "mlb-lad" },
    { id: 28, name: "Miami Marlins", pref: "mlb-mia" },
    { id: 8, name: "Milwaukee Brewers", pref: "mlb-mil" },
    { id: 9, name: "Minnesota Twins", pref: "mlb-min" },
    { id: 21, name: "New York Mets", pref: "mlb-nym" },
    { id: 10, name: "New York Yankees", pref: "mlb-nyy" },
    { id: 11, name: "Oakland Athletics", pref: "mlb-oak" },
    { id: 22, name: "Philadelphia Phillies", pref: "mlb-phi" },
    { id: 23, name: "Pittsburgh Pirates", pref: "mlb-pit" },
    { id: 25, name: "San Diego Padres", pref: "mlb-sd" },
    { id: 26, name: "San Francisco Giants", pref: "mlb-sf" },
    { id: 12, name: "Seattle Mariners", pref: "mlb-sea" },
    { id: 24, name: "St. Louis Cardinals", pref: "mlb-stl" },
    { id: 30, name: "Tampa Bay Rays", pref: "mlb-tb" },
    { id: 13, name: "Texas Rangers", pref: "mlb-tex" },
    { id: 14, name: "Toronto Blue Jays", pref: "mlb-tor" },
    { id: 20, name: "Washington Nationals", pref: "mlb-wsh" }
  ],
  NBA: [
    { id: 1, name: "Atlanta Hawks", pref: "nba-atl" },
    { id: 2, name: "Boston Celtics", pref: "nba-nos" },
    { id: 17, name: "Brooklyn Nets", pref: "nba-bkn" },
    { id: 30, name: "Charlotte Hornets", pref: "nba-cha" },
    { id: 4, name: "Chicago Bulls", pref: "nba-chi" },
    { id: 5, name: "Cleveland Cavaliers", pref: "nba-cle" },
    { id: 6, name: "Dallas Mavericks", pref: "nba-dal" },
    { id: 7, name: "Denver Nuggets", pref: "nba-den" },
    { id: 8, name: "Detroit Pistons", pref: "nba-det" },
    { id: 9, name: "Golden State Warriors", pref: "nba-gs" },
    { id: 10, name: "Houston Rockets", pref: "nba-hou" },
    { id: 11, name: "Indiana Pacers", pref: "nba-ind" },
    { id: 12, name: "LA Clippers", pref: "nba-lac" },
    { id: 13, name: "Los Angeles Lakers", pref: "nba-lal" },
    { id: 29, name: "Memphis Grizzlies", pref: "nba-mem" },
    { id: 14, name: "Miami Heat", pref: "nba-mia" },
    { id: 15, name: "Milwaukee Bucks", pref: "nba-mil" },
    { id: 16, name: "Minnesota Timberwolves", pref: "nba-min" },
    { id: 3, name: "New Orleans Pelicans", pref: "nba-no" },
    { id: 18, name: "New York Knicks", pref: "nba-ny" },
    { id: 25, name: "Oklahoma City Thunder", pref: "nba-okc" },
    { id: 19, name: "Orlando Magic", pref: "nba-orl" },
    { id: 20, name: "Philadelphia 76ers", pref: "nba-phi" },
    { id: 21, name: "Phoenix Suns", pref: "nba-phx" },
    { id: 22, name: "Portland Trail Blazers", pref: "nba-por" },
    { id: 23, name: "Sacramento Kings", pref: "nba-sac" },
    { id: 24, name: "San Antonio Spurs", pref: "nba-sa" },
    { id: 25, name: "Toronto Raptors", pref: "nba-tor" },
    { id: 26, name: "Utah Jazz", pref: "nba-utah" },
    { id: 27, name: "Washington Wizards", pref: "nba-wsh" },
  ],
  NFL: [
    { id: 22, name: "Arizona Cardinals", pref: "nfl-ari" },
    { id: 1, name: "Atlanta Falcons", pref: "nfl-atl" },
    { id: 33, name: "Baltimore Ravens", pref: "nfl-bal" },
    { id: 2, name: "Buffalo Bills", pref: "nfl-buf" },
    { id: 29, name: "Carolina Panthers", pref: "nfl-car" },
    { id: 3, name: "Chicago Bears", pref: "nfl-chi" },
    { id: 4, name: "Cincinnati Bengals", pref: "nfl-cin" },
    { id: 5, name: "Cleveland Browns", pref: "nfl-cli" },
    { id: 6, name: "Dallas Cowboys", pref: "nfl-dal" },
    { id: 7, name: "Denver Broncos", pref: "nfl-den" },
    { id: 8, name: "Detroit Lions", pref: "nfl-det" },
    { id: 9, name: "Green Bay Packers", pref: "nfl-gb" },
    { id: 34, name: "Houston Texans", pref: "nfl-hou" },
    { id: 11, name: "Indianapolis Colts", pref: "nfl-ind" },
    { id: 30, name: "Jacksonville Jaguars", pref: "nfl-jax" },
    { id: 12, name: "Kansas City Chiefs", pref: "nfl-kc" },
    { id: 13, name: "Las Vegas Raiders", pref: "nfl-lv" },
    { id: 24, name: "Los Angeles Chargers", pref: "nfl-lac" },
    { id: 14, name: "Los Angeles Rams", pref: "nfl-lar" },
    { id: 15, name: "Miami Dolphins", pref: "nfl-mia" },
    { id: 16, name: "Minnesota Vikings", pref: "nfl-min" },
    { id: 17, name: "New England Patriots", pref: "nfl-ne" },
    { id: 18, name: "New Orleans Saints", pref: "nfl-no" },
    { id: 19, name: "New York Giants", pref: "nfl-nyg" },
    { id: 20, name: "New York Jets", pref: "nfl-nyj" },
    { id: 21, name: "Philadelphia Eagles", pref: "nfl-phi" },
    { id: 23, name: "Pittsburgh Steelers", pref: "nfl-pit" },
    { id: 25, name: "San Francisco 49ers", pref: "nfl-sf" },
    { id: 26, name: "Seattle Seahawks", pref: "nfl-sea" },
    { id: 27, name: "Tampa Bay Buccaneers", pref: "nfl-tb" },
    { id: 10, name: "Tennessee Titans", pref: "nfl-ten" },
    { id: 28, name: "Washington", pref: "nfl-wsh" }
  ],
  NHL: [
    { id: 25, name: "Anaheim Ducks", pref: "nhl-ana" },
    { id: 24, name: "Arizona Coyotes", pref: "nhl-ari" },
    { id: 1, name: "Boston Bruins", pref: "nhl-bos" },
    { id: 2, name: "Buffalo Sabres", pref: "nhl-buf" },
    { id: 3, name: "Calgary Flames", pref: "nhl-cgy" },
    { id: 7, name: "Carolina Hurricanes", pref: "nhl-car" },
    { id: 4, name: "Chicago Blackhawks", pref: "nhl-chi" },
    { id: 17, name: "Colorado Avalanche", pref: "nhl-col" },
    { id: 29, name: "Columbus Blue Jackets", pref: "nhl-cbj" },
    { id: 9, name: "Dallas Stars", pref: "nhl-dal" },
    { id: 5, name: "Detroit Red Wings", pref: "nhl-det" },
    { id: 6, name: "Edmonton Oilers", pref: "nhl-edm" },
    { id: 26, name: "Florida Panthers", pref: "nhl-fla" },
    { id: 8, name: "Los Angeles Kings", pref: "nhl-la" },
    { id: 30, name: "Minnesota Wild", pref: "nhl-min" },
    { id: 10, name: "Montreal Canadiens", pref: "nhl-mtl" },
    { id: 27, name: "Nashville Predators", pref: "nhl-nsh" },
    { id: 11, name: "New Jersey Devils", pref: "nhl-nj" },
    { id: 12, name: "New York Islanders", pref: "nhl-nyi" },
    { id: 13, name: "New York Rangers", pref: "nhl-nyr" },
    { id: 14, name: "Ottawa Senators", pref: "nhl-ott" },
    { id: 15, name: "Philadelphia Flyers", pref: "nhl-phi" },
    { id: 16, name: "Pittsburgh Penguins", pref: "nhl-pit" },
    { id: 18, name: "San Jose Sharks", pref: "nhl-sj" },
    { id: 19, name: "St. Louis Blues", pref: "nhl-stl" },
    { id: 20, name: "Tampa Bay Lightning", pref: "nhl-tb" },
    { id: 21, name: "Toronto Maple Leafs", pref: "nhl-tor" },
    { id: 22, name: "Vancouver Canucks", pref: "nhl-van" },
    { id: 37, name: "Vegas Golden Knights", pref: "nhl-vgs" },
    { id: 23, name: "Washington Capitals", pref: "nhl-wsh" },
    { id: 28, name: "Winnipeg Jets", pref: "nhl-wpg" }
  ],
  WNBA: [
    { id: 20, name: "Atlanta Dream", pref: "wnba-atl" },
    { id: 19, name: "Chicago Sky", pref: "wnba-chi" },
    { id: 18, name: "Connecticut Sun", pref: "wnba-conn" },
    { id: 3, name: "Dallas Wings", pref: "wnba-dal" },
    { id: 5, name: "Indiana Fever", pref: "wnba-ind" },
    { id: 17, name: "Las Vegas Aces", pref: "wnba-lv" },
    { id: 6, name: "Los Angeles Sparks", pref: "wnba-la" },
    { id: 8, name: "Minnesota Lynx", pref: "wnba-min" },
    { id: 9, name: "New York Liberty", pref: "wnba-ny" },
    { id: 11, name: "Phoenix Mercury", pref: "wnba-phx" },
    { id: 14, name: "Seattle Storm", pref: "wnba-sea" },
    { id: 16, name: "Washington Mystics", pref: "wnba-wsh" }
  ],
};